Migration of Flowable Modeler to latest version of Angular


#1

Is there a roadmap to migrate Flowable Modeler to latest version of Angular JS


#2

Do you have a particular reason for asking? We’re going through a range of ideas for different parts of the project, so getting more understanding of what and why people want various things is really helpful.

E.g., is it because you want to embed Modeler in your own Angular app? Is it because you want to extend it with some of your own components? Is it just becasue you prefer having things running on current versions? Etc…

Cheers
Paul.


#3

Hey PHH,
Thanks for a quick revert.
Fortunately you nailed all my needs actually, i.e.

  1. we want to embed Modeler in our own Angular app.
  2. obviously prefer having things running on current versions, being more towards user centric avenues hence i am more inclined towards good feel to end user and user experience.

#4

Hi @manishsharma1980,

Because moving from Angular 1 to one of the latest versions requires a lot of work with all the changes in the Angular code, but definitely also the depending frameworks we are using like ng grid, dialogs etc, it’s not something we can do without help from the community. At the moment we have no plans therefore to upgrade the Angular version.

Best regards,

Tijs


#5

Hi Tijs,
You can call me “Manish”.
I agree to your point and obviously without community support it will be a humongous task.
I respect your decision, but whenever you plan to have this migration happen i assume you would be taking care that migration is smooth from Angular 1 to upgraded version of Angular.

Thanks,
Manish Sharma